Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.jpa
Interface JpaOperations

All Known Implementing Classes:
  JpaTemplate

Deprecated. as of Spring 3.1, in favor of native EntityManager usage (typically obtained through `@PersistenceContext`). Note that this interface did not get upgraded to JPA 2.0 and never will.

    @Deprecated
    public interface JpaOperations

Interface that specifies a basic set of JPA operations, implemented by `JpaTemplate`. Not often used, but a useful option to enhance testability, as it can easily be mocked or stubbed.

Defines `JpaTemplate`'s data access methods that mirror various `EntityManager` methods. Users are strongly encouraged to read the JPA `EntityManager` javadocs for details on the semantics of those methods.

Note that lazy loading will just work with an open JPA `EntityManager`, either within a managed transaction or within `OpenEntityManagerInViewFilter`/ `OpenEntityManagerInViewInterceptor`. Furthermore, some operations just make sense within transactions, for example: `flush`, `clear`.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `JpaTemplate`, `EntityManager`, `JpaTransactionManager`, `JpaDialect`, `OpenEntityManagerInViewFilter`, `OpenEntityManagerInViewInterceptor`

Method Summary
`boolean` | `contains(java.lang.Object entity)` Deprecated.
`
`<T> T`
` | `execute(JpaCallback<T> action)` Deprecated.
`java.util.List` | `executeFind(JpaCallback<?> action)` Deprecated.
`
`<T> T`
` | `find(java.lang.Class<T> entityClass, java.lang.Object id)` Deprecated.
`java.util.List` | `find(java.lang.String queryString)` Deprecated.
`java.util.List` | `find(java.lang.String queryString, java.lang.Object... values)` Deprecated.
`java.util.List` | `findByNamedParams(java.lang.String queryString, java.util.Map<java.lang.String,?> params)` Deprecated.
`java.util.List` | `findByNamedQuery(java.lang.String queryName)` Deprecated.
`java.util.List` | `findByNamedQuery(java.lang.String queryName, java.lang.Object... values)` Deprecated.
`java.util.List` | `findByNamedQueryAndNamedParams(java.lang.String queryName, java.util.Map<java.lang.String,?> params)` Deprecated.
`void` | `flush()` Deprecated.
`
`<T> T`
` | `getReference(java.lang.Class<T> entityClass, java.lang.Object id)` Deprecated.
`
`<T> T`
` | `merge(T entity)` Deprecated.
`void` | `persist(java.lang.Object entity)` Deprecated.
`void` | `refresh(java.lang.Object entity)` Deprecated.
`void` | `remove(java.lang.Object entity)` Deprecated.

Method Detail

### execute

    <T> T execute(JpaCallback<T> action)
              throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### executeFind

    java.util.List executeFind(JpaCallback<?> action)
                               throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### find

    <T> T find(java.lang.Class<T> entityClass,
               java.lang.Object id)
           throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### getReference

    <T> T getReference(java.lang.Class<T> entityClass,
                       java.lang.Object id)
                   throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### contains

    boolean contains(java.lang.Object entity)
                     throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### refresh

    void refresh(java.lang.Object entity)
                 throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### persist

    void persist(java.lang.Object entity)
                 throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### merge

    <T> T merge(T entity)
            throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### remove

    void remove(java.lang.Object entity)
                throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### flush

    void flush()
               throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### find

    java.util.List find(java.lang.String queryString)
                        throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### find

    java.util.List find(java.lang.String queryString,
                        java.lang.Object... values)
                        throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### findByNamedParams

    java.util.List findByNamedParams(java.lang.String queryString,
                                     java.util.Map<java.lang.String,?> params)
                                     throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### findByNamedQuery

    java.util.List findByNamedQuery(java.lang.String queryName)
                                    throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### findByNamedQuery

    java.util.List findByNamedQuery(java.lang.String queryName,
                                    java.lang.Object... values)
                                    throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### findByNamedQueryAndNamedParams

    java.util.List findByNamedQueryAndNamedParams(java.lang.String queryName,
                                                  java.util.Map<java.lang.String,?> params)
                                                  throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD